summaryrefslogtreecommitdiffstats
path: root/graphics/LDView
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-05-13 00:58:15 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:15 +0200
commitfc89f27c2622d490b1d797b10f7c3ca94c2cf29b (patch)
tree5f6ffb4eb72cf34ebe4772e621a5dc993456eb77 /graphics/LDView
parentfc0c4508742e243f371782fb1229f5e826b98d50 (diff)
downloadslackbuilds-fc89f27c2622d490b1d797b10f7c3ca94c2cf29b.tar.gz
slackbuilds-fc89f27c2622d490b1d797b10f7c3ca94c2cf29b.tar.xz
graphics/LDView: Added to 13.0 repository
Diffstat (limited to 'graphics/LDView')
-rw-r--r--graphics/LDView/LDView.SlackBuild93
-rw-r--r--graphics/LDView/LDView.desktop11
-rw-r--r--graphics/LDView/LDView.info10
-rw-r--r--graphics/LDView/LDView.sh3
-rw-r--r--graphics/LDView/README5
-rw-r--r--graphics/LDView/doinst.sh7
-rw-r--r--graphics/LDView/slack-desc19
7 files changed, 148 insertions, 0 deletions
diff --git a/graphics/LDView/LDView.SlackBuild b/graphics/LDView/LDView.SlackBuild
new file mode 100644
index 0000000000..98c2827085
--- /dev/null
+++ b/graphics/LDView/LDView.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for LDView:
+# a program to visualize LDraw files
+
+# Written by Niels Horn - niels.horn@gmail.com
+# revision date 2009/12/09
+
+PRGNAM=LDView
+VERSION=4.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ LDVDEV64=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ LDVDEV64=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ LDVDEV64=YES
+fi
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# the 'makeall' script is in the QT directory
+cd QT
+export LDVDEV64
+QTDIR=$QT4DIR TESTING=$SLKCFLAGS ./makeall
+
+# Install manually
+mkdir -p $PKG/usr/bin
+cp -a $PRGNAM $PKG/usr/bin/${PRGNAM}_bin
+strip --strip-unneeded $PKG/usr/bin/${PRGNAM}_bin
+cat $CWD/$PRGNAM.sh > $PKG/usr/bin/$PRGNAM
+chmod 0755 $PKG/usr/bin/$PRGNAM
+cd ..
+
+# Sample files, font, translations
+mkdir -p $PKG/usr/share/$PRGNAM
+cp 8464.mpd m6459.ldr Textures/SansSerif.fnt \
+ $PKG/usr/share/$PRGNAM/
+cp Translations/Czech/LDViewMessages.ini \
+ $PKG/usr/share/$PRGNAM/LDViewMessages_cz.ini
+cp Translations/EnglishUS/LDViewMessages.ini \
+ $PKG/usr/share/$PRGNAM/LDViewMessages_en_US.ini
+cp Translations/German/LDViewMessages.ini \
+ $PKG/usr/share/$PRGNAM/LDViewMessages_de.ini
+cp Translations/Hungarian/LDViewMessages.ini \
+ $PKG/usr/share/$PRGNAM/LDViewMessages_hu.ini
+cp Translations/Italian/LDViewMessages.ini \
+ $PKG/usr/share/$PRGNAM/LDViewMessages_it.ini
+cat LDViewMessages.ini LDExporter/LDExportMessages.ini \
+ > $PKG/usr/share/$PRGNAM/LDViewMessages.ini
+
+# Copy icon & desktop file to package
+mkdir -p $PKG/usr/share/{applications,mime/packages,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+convert Icons/LDViewIcon.gif $PKG/usr/share/pixmaps/$PRGNAM.png
+cat QT/desktop/ldraw.xml > $PKG/usr/share/mime/packages/ldraw.xml
+
+# Documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a license.txt install.txt Readme.txt QT/todo.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeHistory.html Help.html $PKG/usr/doc/$PRGNAM-$VERSION/html/
+find $PKG/usr/doc/$PRGNAM-$VERSION/ -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/LDView/LDView.desktop b/graphics/LDView/LDView.desktop
new file mode 100644
index 0000000000..c215cde088
--- /dev/null
+++ b/graphics/LDView/LDView.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=LDView
+GenericName=LDraw Model Viewer
+Categories=Graphics;
+Exec=/usr/bin/LDView %f
+Icon=LDView
+Terminal=false
+StartupNotify=false
+MimeType=application/x-ldraw;application/x-multipart-ldraw;
diff --git a/graphics/LDView/LDView.info b/graphics/LDView/LDView.info
new file mode 100644
index 0000000000..76419b12f3
--- /dev/null
+++ b/graphics/LDView/LDView.info
@@ -0,0 +1,10 @@
+PRGNAM="LDView"
+VERSION="4.1"
+HOMEPAGE="http://ldview.sourceforge.net"
+DOWNLOAD="http://www.nielshorn.net/_download/LDView-4.1.tar.gz"
+MD5SUM="942fc33b061bffc5d3e9cdf06622a878"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/LDView/LDView.sh b/graphics/LDView/LDView.sh
new file mode 100644
index 0000000000..5855fa466c
--- /dev/null
+++ b/graphics/LDView/LDView.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /usr/share/LDView
+/usr/bin/LDView_bin $1
diff --git a/graphics/LDView/README b/graphics/LDView/README
new file mode 100644
index 0000000000..d5b8dcd70b
--- /dev/null
+++ b/graphics/LDView/README
@@ -0,0 +1,5 @@
+LDView is a real-time 3D viewer for displaying LDraw models using hardware
+accellerated 3D graphics. The program can read LDraw DAT, LDR and MPD files.
+It then allows you to rotate the model around to any angle with the mouse.
+
+This requires tinyxml and LDraw_data.
diff --git a/graphics/LDView/doinst.sh b/graphics/LDView/doinst.sh
new file mode 100644
index 0000000000..ba98b9dbd5
--- /dev/null
+++ b/graphics/LDView/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q /usr/share/applications >/dev/null 2>&1
+fi
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database /usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/graphics/LDView/slack-desc b/graphics/LDView/slack-desc
new file mode 100644
index 0000000000..d9e81e91e2
--- /dev/null
+++ b/graphics/LDView/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+LDView: LDView (LDraw model viewer)
+LDView:
+LDView: LDView is a real-time 3D viewer for displaying LDraw models using
+LDView: hardware-accelerated 3D graphics.
+LDView:
+LDView: The program can read LDraw DAT files as well as MPD files. It then
+LDView: allows you to rotate the model around to any angle with the mouse.
+LDView:
+LDView: http://ldview.sourceforge.net/
+LDView:
+LDView: